Universes Management

Delete Universe

Delete the specified universe

DELETE
https://api.textreveal.com/v3/universes/{universe_id}

Request

The response will not be in JSON format.
Response will contain the Content-Type: header.

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

Response

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "universe_id",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "You are not allowed to delete a universe you do not own"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "You are not allowed to delete a universe you do not own",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.